# Generated by Django 3.1.12 on 2021-06-09 14:25

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0002_auto_20210607_1617'),
    ]

    operations = [
        migrations.CreateModel(
            name='RegistrationEvent',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('application_sdc_id', models.UUIDField(null=True, verbose_name='application SDC ID')),
                ('event_sdc_id', models.UUIDField(null=True, verbose_name='event SDC ID')),
                ('state', models.CharField(choices=[('processing', 'processing'), ('skipped', 'skipped'), ('failed', 'failed'), ('completed', 'completed')], default='processing', max_length=32, verbose_name='state')),
                ('data', models.JSONField(verbose_name='data')),
                ('traceback', models.TextField(null=True, verbose_name='traceback')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
